Subject: Re: [apps-discuss] WG Review: Applications Area Working Group(APPSAWG)

From: Alfred Hönes <[email-masked]>
Date: Wed, 29 Sep 2010 21:49:34 +0200 (MESZ)

At Wed, 29 Sep 2010 10:01:24 +0200, Tom Petch wrote:

> I think that the order of the list of considerations is
> unfortunate, as it might be read as implying precedence.
> I think that
>
> (5) There is no existing related Working Group that is willing to
>     recharter to take on this work, and the document doesn't justify
>     the formation of a new working group.
>
> should come top of the list.

The draft charter says in the leading clause of that list:

| When considering whether to accept a proposed work item, the APPSAWG
| and the Applications Area Directors shall take into account the
| following factors, among others:

This clearly means the list presents a conjunction (all conditions
must be met), and it it non-exhaustive.
"AND" is commutative and associative.  So the order doesn't matter.
Thus, the APPSAWG chairs and the APP ADs have to consider all items.

It'll be a strategic puzzle in each case to choose the order of checks
that is likely to minimize the work (if the sublime expectation is
failure) -- similarly as when a compiler or interpreter has to perform
some guesswork when it has to serialize a conjunctive expression,
based on some expectation on which term might lead to a negative answer
most likely, and the amount of work to determine the truth value of
each conjunctive term.  :-)

> ...
>
> Otherwise, yes, let's give it a try for nine months.

+1    (As already expressed in Maastricht.)

At Wed, 29 Sep 2010 09:40:51 -0700, Ted Hardie wrote,
regarding the point (dropped above) on URI matter:

>       ...  If it did run across something that needed a major
> change, it would likely be moved off into a different (or new) group.
>
> Does that match others' expectations?

Yes!   (At least mine.)

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Barry Leiba <[email-masked]>
Date: Thu, 30 Sep 2010 14:41:43 -0400

On Wed, Sep 29, 2010 at 12:40 PM, Ted Hardie <[email-masked]> wrote:
> On Wed, Sep 29, 2010 at 1:01 AM, t.petch <[email-masked]> wrote:
>> And the reference to URI I find unclear - I see that activity best performed on
>>  [email-masked]
...
> But when I saw "URIs and XML", I assumed that this working
> group would cover questions of how to apply them in a specific
> context, rather than taking on work to change them.  If it did run
> across something that needed a major

Yes, it does.

...
> Thus, the APPSAWG chairs and the APP ADs have to consider all items.

Still, it makes sense to put the primary concerns at the top.  It
might also make sense to use an unordered list (with "*") instead of
an ordered one (with numbers), just to be clear that it's neither
explicitly ordered nor exhaustive.

Barry